<?php
  ///////////////////////////////////////////////////
  //2007 (C)
  //Карпухин Павел
  ///////////////////////////////////////////////////

  $lang = substr($_SERVER["HTTP_ACCEPT_LANGUAGE"], 0,2);
  if (is_file ("../lang/".$lang."/".$lang.".php")) include "../lang/".$lang."/".$lang.".php";
     else include "../lang/ru/ru.php";

  $title=$titlepage =  $TEXT['res-title2'];
  $helppage = "";

  require_once "../config.php";
  require_once "../util/top.php";

  if($result2['master'] == 1) puterror2($TEXT['error-loginform4']);
  if($result2['manager'] == 1) puterror2($TEXT['error-loginform4']);

  if(empty($_POST['res_id'])) puterror2($TEXT['error-res10']);
  if(strlen($_POST['res_id'])>11) puterror2($TEXT['error-res11']);
  $_POST['res_id'] = rep($_POST['res_id']);

  //*************************************
  $query1 = "SELECT * FROM `tbl_resource` WHERE `res_id`='".$_POST['res_id']."' ";
  $result = mysql_query($query1);
  if (!$result) puterror2($TEXT['error-tbl16']);
   $result2 = mysql_fetch_array($result);

  $ip = $_SERVER['REMOTE_ADDR'];
  $doing = $TEXT['log-res2'];
  $what = $result2['resource'].$TEXT['log-id'].$_POST['res_id'];
  $who = $result2['fullname'];
  //*************************************

  $query = "DELETE FROM `tbl_resource` WHERE `res_id`='".$_POST['res_id']."' LIMIT 1";
  if(mysql_query($query))
  {
    $query2 = "INSERT INTO tbl_logs ( `log_id` , `data` , `ip` , `who` , `doing` , `what` ) VALUES ( NULL , NOW() , '$ip' , '$who' , '$doing' , '$what')";
        if(mysql_query($query2))
           {
             echo "<html><head>
                   <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=index.php' />
                   </head></html>";
           } else puterror2($TEXT['error-log']);
  } else puterror2($TEXT['error-res12']);
  require_once "../util/bottom.php";
?>
